Package com.sas.services.webdav

# Class DavPropertyResult

java.lang.Object
com.sas.services.webdav.DavPropertyResult

public final class DavPropertyResult extends Object
Represents the DAV properties returned by one of the following WebDAV methods.

- `HttpPropfind`
- `HttpSearch`

If partial results were returned by the server, (e.g. insufficient storage), then a list of href will be returned for the properties which were not returned.

Since:
  9.4m8

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DavPropertyResult()`
  Constructs a default instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `addDavPropertyItem(DavPropertyItem davPropertyItem)`
  Adds a DAV property item for a specified DAV resource.
  `List<DavPropertyItem>`
  `getDavProperties()`
  Gets the DAV property items for all DAV resources.
  `Map<String,List<DavPropertyItem>>`
  `getDavPropertyItemMap()`
  Gets the map keyed by the href of a DAV property's resource to the list of its items.
  `Set<String>`
  `getHrefs()`
  Gets the hrefs for the DAV properties which the server was unable to return perhaps because it had insufficient storage.
  `boolean`
  `hasPartialResults()`
  Determines if this is a collection of partial results.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DavPropertyResult

    public DavPropertyResult()
    Constructs a default instance.
    See Also:
      - `addDavPropertyItem(DavPropertyItem)`

- ## Method Details

  - ### hasPartialResults

    public boolean hasPartialResults()
    Determines if this is a collection of partial results.
    Returns:
      `true` if this is a collection of partial results. If this is a partial result, then use `getHrefs()` to get the hrefs of the DAV properties which were not returned.
    See Also:
      - `getHrefs()`

  - ### addDavPropertyItem

    public boolean addDavPropertyItem(DavPropertyItem davPropertyItem)
    Adds a DAV property item for a specified DAV resource.
    Parameters:
      `davPropertyItem` - The DAV property item that is to be added.
      `href` - The href of the DAV resource whose property is to be added.
    Returns:
      `true` as specified by `Collection.add(E)`.

  - ### getDavPropertyItemMap

    public Map<String,List<DavPropertyItem>> getDavPropertyItemMap()
    Gets the map keyed by the href of a DAV property's resource to the list of its items.
    Returns:
      Map keyed by the href of the DAV property's resource to a list of `DavPropertyItem`}.
    See Also:
      - `getDavProperties()`

  - ### getDavProperties

    public List<DavPropertyItem> getDavProperties()
    Gets the DAV property items for all DAV resources.

    Use `getDavPropertyItemMap()` to get a list of items given the href of a DAV resource.

    Returns:
      DAV properties.
    See Also:
      - `getDavPropertyItemMap()`

  - ### getHrefs

    public Set<String> getHrefs()
    Gets the hrefs for the DAV properties which the server was unable to return perhaps because it had insufficient storage.
    Returns:
      hrefs for the DAV properties which the server was unable to return.